Bug 1289356 - Missing %{?_isa} for Requires: libgcc
Missing %{?_isa} for Requires: libgcc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 17:41 EST by Jan Kratochvil
Modified: 2016-07-22 11:55 EDT (History)
8 users (show)

See Also:
Fixed In Version: glibc-2.23.90-30.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 11:55:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Untested fix. (479 bytes, patch)
2015-12-07 17:41 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2015-12-07 17:41:58 EST
Created attachment 1103386 [details]
Untested fix.

Description of problem:
Installing system capable of gcc -m32 is tricky.

Version-Release number of selected component (if applicable):
glibc-2.22-6.fc23

How reproducible:
Always.

Steps to Reproduce:
dnf install glibc-devel.i686
gcc -o 1 1.c -Wall -g -m32

Actual results:
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/5.1.1/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
collect2: error: ld returned 1 exit status

Expected results:
Nothing, compiled code.

Additional info:
Besides the attached fix glibc.spec apparently has many more Requires missing %{?_isa} but that is not a topic of this Bug.
Also this page is also missing %{?_isa} but I cannot fix that:
  https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#Packaging_Q.26A

# gcc -o 1 1.c -Wall -g
# gcc -o 1 1.c -Wall -g -m32
/usr/bin/ld: cannot find crt1.o: No such file or directory
/usr/bin/ld: cannot find crti.o: No such file or directory
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/5.1.1/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
/usr/bin/ld: cannot find -lc
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/5.1.1/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
/usr/bin/ld: cannot find crtn.o: No such file or directory
collect2: error: ld returned 1 exit status
# dnf install glibc-devel.i686
Installed:
  glibc.i686 2.22-6.fc23
  glibc-devel.i686 2.22-6.fc23
  nss-softokn-freebl.i686 3.21.0-1.1.fc23
# gcc -o 1 1.c -Wall -g -m32
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/5.1.1/libgcc_s.so when searching for -lgcc_s
/usr/bin/ld: cannot find -lgcc_s
collect2: error: ld returned 1 exit status
# dnf install libgcc.i686
Installed:
  libgcc.i686 5.1.1-4.fc23
# gcc -o 1 1.c -Wall -g -m32
# _
Comment 1 Jan Kurik 2016-02-24 09:06:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.